/*
 * WallFire -- a comprehensive firewall administration tool.
 * 
 * Copyright (C) 2001 Herv Eychenne <rv@wallfire.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

using namespace std;

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "filter.h"
#include "defs.h"

#include <string>

exprnode* exprnode_parse(const string& expr);


int
main(int argc, char* argv[]) {
#if 0
  exprnode *n1, *n2, *n3;

  n1 = new exprnode(100);
  n2 = new exprnode(10);
  n3 = new exprnode(FOP_GT, n1, n2);
  n3->print(cout);
  cout << n3->eval() << endl;
  delete n3;
  exit(0);
#endif

  if (argc != 2) {
    cerr << "Error: you must supply an expression" << endl;
    exit(1);
  }
  
  exprnode* tree = exprnode_parse(argv[1]);
  if (tree == NULL) {
    cerr << "Error: while parsing" << endl;
    exit(1);
  }
  tree->print(cerr);
  cerr << tree->eval() << endl;

  exit(0);
}
